Available in🇮🇳 India
Once you capture a payment, Razorpay returns a razorpay_payment_id that can be used to fetch the token_id. This is a manual process and can be done using either APIs or Webhooks. This token_id is used to create and charge subsequent payments.
Handy TipsYou can also search for the Token on your Dashboard.
2.1. What is a Token?
A recurring token represents a mandate registration and is generated after the authorisation transaction is successfully captured. A recurring token contains the customer’s payment details stored by Razorpay and is used to create a recurring payment. For simplicity, recurring tokens are considered to be mandates. Hence, the status of the recurring token determines the status of the mandate registration.2.2. Token States
As the authorisation transaction moves through its states, the token generated for the mandate also changes state. Emandate registrations are confirmed in real time for all authentication types (Aadhaar, netbanking and debit card).
Only tokens in the
confirmed state can be used to create subsequent payments.
2.3. Fetch Token by Payment ID
The following endpoint retrieves thetoken_id using a payment_id.
GET /payments/:id
Handy TipsYou can also retrieve the
token_id via the payment.authorized webhook.Path Parameter
The unique identifier of the payment to be retrieved. For example,
pay_1Aa00000000002.2.4. Fetch Tokens by Customer ID
A customer can have multiple tokens and these tokens can be used to create subsequent payments for multiple products or services. The following endpoint retrieves tokens linked to a customer.GET /customers/:id/tokens
Path Parameter
The unique identifier of the customer for whom tokens are to be retrieved. For example,
cust_1Aa00000000002.2.5. Delete Tokens
The following endpoint deletes a token.DELETE /customers/:customer_id/tokens/:token_id
Path Parameter
The unique identifier of the customer with whom the token is linked. For example,
cust_1Aa00000000002.The unique identifier of the token that is to be deleted. For example,
token_1Aa00000000001.2.6. Error Scenarios
If a token request fails, the API response carries an error object withcode, description, source, step and reason. Use the reason to decide the next action. For the Emandate error reasons, see Error Codes.